Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib.db
Class DBConfiguration

    java.lang.Object
      org.apache.hadoop.mapred.lib.db.DBConfiguration

    public class DBConfiguration

extends Object

A container for configuration property names for jobs with DB input/output.
The job can be configured using the static methods in this class, `DBInputFormat`, and `DBOutputFormat`.

Alternatively, the properties can be set in the configuration with proper values.

See Also:
  `configureDB(JobConf, String, String, String, String)`, `DBInputFormat.setInput(JobConf, Class, String, String)`, `DBInputFormat.setInput(JobConf, Class, String, String, String, String...)`, `DBOutputFormat.setOutput(JobConf, String, String...)`

Field Summary
`static String` | `DRIVER_CLASS_PROPERTY` The JDBC Driver class name
`static String` | `INPUT_CLASS_PROPERTY` Class name implementing DBWritable which will hold input tuples
`static String` | `INPUT_CONDITIONS_PROPERTY` WHERE clause in the input SELECT statement
`static String` | `INPUT_COUNT_QUERY` Input query to get the count of records
`static String` | `INPUT_FIELD_NAMES_PROPERTY` Field names in the Input table
`static String` | `INPUT_ORDER_BY_PROPERTY` ORDER BY clause in the input SELECT statement
`static String` | `INPUT_QUERY` Whole input query, exluding LIMIT...OFFSET
`static String` | `INPUT_TABLE_NAME_PROPERTY` Input table name
`static String` | `OUTPUT_FIELD_NAMES_PROPERTY` Field names in the Output table
`static String` | `OUTPUT_TABLE_NAME_PROPERTY` Output table name
`static String` | `PASSWORD_PROPERTY` Password to access the database
`static String` | `URL_PROPERTY` JDBC Database access URL
`static String` | `USERNAME_PROPERTY` User name to access the database

Method Summary
`static void` | `configureDB(JobConf job, String driverClass, String dbUrl)` Sets the DB access related fields in the JobConf.
`static void` | `configureDB(JobConf job, String driverClass, String dbUrl, String userName, String passwd)` Sets the DB access related fields in the JobConf.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DRIVER_CLASS_PROPERTY

    public static final String DRIVER_CLASS_PROPERTY

  The JDBC Driver class name

  See Also:
    Constant Field Values

### URL_PROPERTY

    public static final String URL_PROPERTY

  JDBC Database access URL

  See Also:
    Constant Field Values

### USERNAME_PROPERTY

    public static final String USERNAME_PROPERTY

  User name to access the database

  See Also:
    Constant Field Values

### PASSWORD_PROPERTY

    public static final String PASSWORD_PROPERTY

  Password to access the database

  See Also:
    Constant Field Values

### INPUT_TABLE_NAME_PROPERTY

    public static final String INPUT_TABLE_NAME_PROPERTY

  Input table name

  See Also:
    Constant Field Values

### INPUT_FIELD_NAMES_PROPERTY

    public static final String INPUT_FIELD_NAMES_PROPERTY

  Field names in the Input table

  See Also:
    Constant Field Values

### INPUT_CONDITIONS_PROPERTY

    public static final String INPUT_CONDITIONS_PROPERTY

  WHERE clause in the input SELECT statement

  See Also:
    Constant Field Values

### INPUT_ORDER_BY_PROPERTY

    public static final String INPUT_ORDER_BY_PROPERTY

  ORDER BY clause in the input SELECT statement

  See Also:
    Constant Field Values

### INPUT_QUERY

    public static final String INPUT_QUERY

  Whole input query, exluding LIMIT...OFFSET

  See Also:
    Constant Field Values

### INPUT_COUNT_QUERY

    public static final String INPUT_COUNT_QUERY

  Input query to get the count of records

  See Also:
    Constant Field Values

### INPUT_CLASS_PROPERTY

    public static final String INPUT_CLASS_PROPERTY

  Class name implementing DBWritable which will hold input tuples

  See Also:
    Constant Field Values

### OUTPUT_TABLE_NAME_PROPERTY

    public static final String OUTPUT_TABLE_NAME_PROPERTY

  Output table name

  See Also:
    Constant Field Values

### OUTPUT_FIELD_NAMES_PROPERTY

    public static final String OUTPUT_FIELD_NAMES_PROPERTY

  Field names in the Output table

  See Also:
    Constant Field Values

Method Detail

### configureDB

    public static void configureDB(JobConf job,
                                   String driverClass,
                                   String dbUrl,
                                   String userName,
                                   String passwd)

  Sets the DB access related fields in the JobConf.

  Parameters:
    `job` - the job
    `driverClass` - JDBC Driver class name
    `dbUrl` - JDBC DB access URL.
    `userName` - DB access username
    `passwd` - DB access passwd

### configureDB

    public static void configureDB(JobConf job,
                                   String driverClass,
                                   String dbUrl)

  Sets the DB access related fields in the JobConf.

  Parameters:
    `job` - the job
    `driverClass` - JDBC Driver class name
    `dbUrl` - JDBC DB access URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation